- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxRenamingStrategyFbx6 Class Reference

Search for all occurrences

## Detailed Description

This class contains the description of the FBX renaming strategy for fbx file format 6.

Definition at line 28 of file fbxrenamingstrategyfbx6.h.

`#include <fbxrenamingstrategyfbx6.h>`

Inheritance diagram for FbxRenamingStrategyFbx6:
[legend]

List of all members.

## Public Member Functions
| FbxRenamingStrategyFbx6 ()
| Default constructor.
virtual | ~FbxRenamingStrategyFbx6 ()
| Destructor.
virtual bool | DecodeScene (FbxScene *pScene)
| This method put all the names in the scene back to the original values.
virtual bool | EncodeScene (FbxScene *pScene)
| This method renames all the names in the scene.
virtual bool | DecodeString (FbxNameHandler &pName)
| This method find the original name of a given string.
virtual bool | EncodeString (FbxNameHandler &pName, bool pIsPropertyName=false)
| This method find the renaming name of a given string.
virtual void | CleanUp ()
| clean up the name cells.

## Constructor & Destructor Documentation

FbxRenamingStrategyFbx6 | ( |  | ) |

Default constructor.

virtual ~FbxRenamingStrategyFbx6 | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual bool DecodeScene | ( | FbxScene * | pScene | ) | `[virtual]`

Search for all occurrences

This method put all the names in the scene back to the original values.

Parameters:

  pScene |

Returns:
  Returns true if some names have been modified.

Implements FbxRenamingStrategyBase.

virtual bool EncodeScene | ( | FbxScene * | pScene | ) | `[virtual]`

Search for all occurrences

This method renames all the names in the scene.

Parameters:

  pScene |

Returns:
  Returns true if some names have been modified.

Implements FbxRenamingStrategyBase.

virtual bool DecodeString | ( | FbxNameHandler & | pName | ) | `[virtual]`

Search for all occurrences

This method find the original name of a given string.

Parameters:

  pName |

Returns:
  Returns true if the name has been modified.

Implements FbxRenamingStrategyBase.

virtual bool EncodeString | ( | FbxNameHandler & | pName,
|  | bool | pIsPropertyName = `false`
| ) |  | `[virtual]`

Search for all occurrences

This method find the renaming name of a given string.

Parameters:

  pName |
  pIsPropertyName |

Returns:
  Returns true if the name has been modified.

Implements FbxRenamingStrategyBase.

virtual void CleanUp | ( |  | ) | `[virtual]`

Search for all occurrences

clean up the name cells.

Reimplemented from FbxRenamingStrategyBase.

The documentation for this class was generated from the following file:

- fbxsdk/utils/fbxrenamingstrategyfbx6.h

FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6
FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6 FbxRenamingStrategyFbx6